Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class BinaryCloseOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.BinaryMorphologicalOp
                  |
                  +--com.pearsoneduc.ip.op.BinaryCloseOp

public class BinaryCloseOp
extends BinaryMorphologicalOp

Performs the morphological operation of closing on a binary image. 'Binary image' is taken here to mean a greyscale image with just two values, one of which is zero.

Version:
  1.0 [1999/08/30]
Author:
  Nick Efford

Fields inherited from class com.pearsoneduc.ip.op.BinaryMorphologicalOp
`nonZeroValue`

Constructor Summary
`BinaryCloseOp(BinaryStructElement element)` Creates a BinaryCloseOp that uses the specified structuring element.

Method Summary
`java.awt.image.BufferedImage` | `filter(java.awt.image.BufferedImage src, java.awt.image.BufferedImage dest)` Performs morphological closing of a binary image.

Methods inherited from class com.pearsoneduc.ip.op.BinaryMorphologicalOp
`checkImage`

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`createCompatibleDestImage, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryCloseOp

    public BinaryCloseOp(BinaryStructElement element)

  Creates a BinaryCloseOp that uses the specified structuring element.
  Parameters:
    `element` - structuring element

Method Detail

### filter

    public java.awt.image.BufferedImage filter(java.awt.image.BufferedImage src,
                                               java.awt.image.BufferedImage dest)

  Performs morphological closing of a binary image.
  Parameters:
    `src` - source image
    `dest` - destination image, or null
  Returns:
    closed image.
  Overrides:
    filter in class StandardGreyOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD